NoOpSerializer (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.experimental.driver

## Class NoOpSerializer

- java.lang.Object
- - org.apache.geode.experimental.driver.NoOpSerializer

- All Implemented Interfaces:
    ValueSerializer

      public class NoOpSerializer
      extends java.lang.Object
      implements ValueSerializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `deserialize(com.google.protobuf.ByteString data)` Deserialize an object from a byte array.
    `java.lang.String` | `getID()` Return the id of this value format.
    `com.google.protobuf.ByteString` | `serialize(java.lang.Object object)` Serialize an object into a byte array.
    `boolean` | `supportsPrimitives()` True if this serializer wants to serialize all values, including primitives like numbers and strings that can be sent as one of the options in EncodedValue.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpSerializer

          public NoOpSerializer()

  - ### Method Detail

    - #### serialize

          public com.google.protobuf.ByteString serialize(java.lang.Object object)
                                                   throws java.io.IOException

      Description copied from interface: `ValueSerializer`
      Serialize an object into a byte array.
      Specified by:
        `serialize` in interface `ValueSerializer`
      Returns:
        a byte array, or null to fall back on default serialization
      Throws:
        `java.io.IOException`

    - #### deserialize

          public java.lang.Object deserialize(com.google.protobuf.ByteString data)
                                       throws java.io.IOException,
                                              java.lang.ClassNotFoundException

      Description copied from interface: `ValueSerializer`
      Deserialize an object from a byte array.
      Specified by:
        `deserialize` in interface `ValueSerializer`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### getID

          public java.lang.String getID()

      Description copied from interface: `ValueSerializer`
      Return the id of this value format. This should match the id of the ValueSerializer registered on the server.
      Specified by:
        `getID` in interface `ValueSerializer`

    - #### supportsPrimitives

          public boolean supportsPrimitives()

      Description copied from interface: `ValueSerializer`
      True if this serializer wants to serialize all values, including primitives like numbers and strings that can be sent as one of the options in EncodedValue.
      Specified by:
        `supportsPrimitives` in interface `ValueSerializer`
      Returns: